Flash Player 9 de 64 bits en Linux

En un entorn de 64 bits en un ordenador amb Linux (Debian), una de les poques cosa que encara no hi ha de manera nativa es el plugin Flash per el navegador. D’aquesta manera s’aconseguirà, fàcilment, instalar el plugin al navegador IceWeasel (en Firefox es igual). Aquests són els passos a seguir (provat i funciona perfectament):

  • Baixar el plugin i el viewer de nspluginwrapper. (estan en format rpm però despres amb un alien els convertirem a deb).
  • Baixar el de Flash.
  • Instalar els paquets necessaris: # apt-get install ia32-libs ia32-libs-gtk linux32 alien
  • Si utilitzau Debian Sarge o Etch no hi ha el paquet ia32-libs-gtk i per tant us ho heu de baixar de la web de paquets de Debian de la versió sid (inestable).
  • Convertim els rpm que ens hem baixat a deb: # alien -d *.rpm
  • Instalam els deb que acabam de generar: dpkg -i *.deb
  • Descomprimir el Flash player: # tar -zvxf install_flash_player_9_linux.tar.gz
  • Moure el plugin: # mv libflashplayer.so /usr/lib/mozilla/plugins
  • Instalar el paquet ia32-libs-gtk que us heu baixat de la web de paquets de Debian: dpkg -i ia32-libs-gtk_1.0_amd64.deb
  • Cream el plugin per a 64 bits amb nspluginwrapper: # usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so
  • Finalment, copiam el nou plugin que acabam de crear a la carpeta del IceWeasel: # cp /usr/lib/mozilla/plugins/npwrapper.libflashplayer.so /usr/lib/iceweasel/plugins/

Llest! No hi sol haver problemes si segiu les passes en ordre.

Noticia original aqui.

Quant a vtomasr5
Linuxero

3 Responses to Flash Player 9 de 64 bits en Linux

  1. mauricio mejia v escrigué:

    Error!!!

    /usr/lib/nspluginwrapper/x86_64/linux/npconfig -i /usr/lib/mozilla/plugins/libflashplayer.so
    /usr/lib/nspluginwrapper/i386/linux/npviewer.bin: error while loading shared libraries: libgobject-2.0.so.0: cannot open shared object file: No such file or directory
    nspluginwrapper: no appropriate viewer found for /usr/lib/mozilla/plugins/libflashplayer.so

  2. joan escrigué:

    El paquet ia32-libs-gtk.deb no existeix a http://packages.debian.org/source/lenny/ia32-libs-gtk , només està la versió en tar.gz
    😦

    saps com podem agafar-lo?

  3. vtomasr5 escrigué:

    #joan. Sí, està aqui: http://ftp.es.debian.org/debian/pool/main/i/ia32-libs-gtk/ia32-libs-gtk_2.1_amd64.deb tu anaves a souce i alla només hi ha el codi (.tgz) com tu be has dit.

Deixa un comentari

Fill in your details below or click an icon to log in:

WordPress.com Logo

Esteu comentant fent servir el compte WordPress.com. Log Out / Canvia )

Twitter picture

Esteu comentant fent servir el compte Twitter. Log Out / Canvia )

Facebook photo

Esteu comentant fent servir el compte Facebook. Log Out / Canvia )

Google+ photo

Esteu comentant fent servir el compte Google+. Log Out / Canvia )

Connecting to %s

%d bloggers like this: